def computeXorRepeatingKey(textBytes,key) :
	keyBytes 	= getBytes(key)
	return [textBytes[i] ^ keyBytes[i % len(keyBytes)] for i in range(len(textBytes))]

text 			= "My name is Bond, James Bond... I'm trying to find what is written into this message"
key				= "privateKey007"
textBytes 		= getBytes(text)
encodedBytes	= computeXorRepeatingKey(textBytes,key)

print("Phrase:\r\n{}".format(text))
print("Octets non encodés:\r\n{}".format(textBytes))
print("Octets encodés:\r\n{}".format(encodedBytes))